Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2068470 - online accounts: can't disable sync on items
Summary: online accounts: can't disable sync on items
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: GNOME SIG Unassigned
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F36FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2022-03-25 12:27 UTC by Alessio
Modified: 2022-04-25 14:41 UTC (History)
11 users (show)

Fixed In Version: gnome-control-center-42.0-4.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-20 23:29:44 UTC
Type: Bug
Embargoed:
bcotton: fedora_prioritized_bug-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gnome-control-center issues 1721 0 None opened online accounts: can't disable sync on some items 2022-04-08 18:54:14 UTC

Description Alessio 2022-03-25 12:27:13 UTC
gnome-online-accounts-3.43.1-2.fc36.x86_64

Upstream bug report
https://gitlab.gnome.org/GNOME/gnome-control-center/-/issues/1721

In short, you putting the slide bar disabled, doesn't disable the synchronization (Mail, Calendar, Contacts, etc.). In fact, if you open the account again, the slide bars are still active.

Comment 1 Michael Catanzaro 2022-04-05 14:16:46 UTC
Ugh, this is basic functionality.

Comment 2 Fedora Blocker Bugs Application 2022-04-05 14:18:24 UTC
Proposed as a Blocker for 36-final by Fedora user catanzaro using the blocker tracking app because:

 This is basic functionality of the Online Accounts panel, so it fails the default application functionality release criterion.

Comment 3 Luna Jernberg 2022-04-06 14:30:52 UTC
Was talked about in todays Prio Bugs Meeting

<mattdm, bcotton_,> #agreed BZ 2068470 is deferred pending the outcome of the F36 Final blocker vote

Comment 4 František Zatloukal 2022-04-09 22:23:29 UTC
Discussed in ticket: https://pagure.io/fedora-qa/blocker-review/issue/717

The decision to classify this bug as an AcceptedBlocker was made:

"This issue severely affects GNOME Control Center functionality so it violates the Default application functionality release criterion."

Comment 5 Debarshi Ray 2022-04-11 16:25:09 UTC
This is likely a fallout from the port of gnome-control-center to GTK4 because gnome-online-accounts hasn't had much activity lately.

Comment 6 Ben Cotton 2022-04-19 13:33:43 UTC
Removing the prioritized bug nomination since this is an accepted F36 release blocker.

Comment 7 Fedora Update System 2022-04-19 22:00:01 UTC
FEDORA-2022-b77d28c3e8 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-b77d28c3e8

Comment 8 Debarshi Ray 2022-04-20 00:58:09 UTC
Thanks a lot for taking care of the build, Michael!

Comment 9 Matthias Clasen 2022-04-20 02:21:05 UTC
Just ftr, this had nothing to do with GTK4

Comment 10 Michael Catanzaro 2022-04-20 02:49:34 UTC
(In reply to Matthias Clasen from comment #9)
> Just ftr, this had nothing to do with GTK4

Well, it broke in the commit that ported the online accounts panel to GTK 4, so... kinda did.

Comment 11 Lukas Ruzicka 2022-04-20 12:01:54 UTC
The update mentioned in #7 works correctly.

Comment 12 Fedora Update System 2022-04-20 15:30:44 UTC
FEDORA-2022-b77d28c3e8 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-b77d28c3e8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-b77d28c3e8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-04-20 23:29:44 UTC
FEDORA-2022-b77d28c3e8 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Debarshi Ray 2022-04-25 14:41:26 UTC
(In reply to Matthias Clasen from comment #9)
> Just ftr, this had nothing to do with GTK4

I said:
  "a fallout from the port of gnome-control-center to GTK4"

... which isn't the same as just GTK4. ;)


Note You need to log in before you can comment on or make changes to this bug.